For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Login
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSearch Agents
      • POSTSearch Agent By Geolocation
      • GETSearch Agent Tags
      • GETGet Agent Seo Eval Results
      • POSTStart Agent Seo Eval
      • GETGet Top Asi1 Search Keywords
      • GETGet Agent
      • GETGet Agent Keywords
      • PUTSet Agent Keywords
      • PATCHAdd Agent Keywords
      • DELDelete Agent Keyword
      • GETSearch Agents By Similarity
      • GETGet Interaction Counts Of Agent
      • POSTFeedback
      • GETCheck Current Campaign Eligibility
      • POSTStart Multi Agent Seo Eval
      • GETGet Seo Eval Results
      • GETGet Recent Agent Interactions
      • GETGet Recent Agent Picking Details
      • POSTSearch Functions
      • GETGet Recent Interactions Of Function
      • POSTGet Agent Search Analytics
      • POSTGet Agent Search Term Analytics
      • GETGet Analytics Summary
      • GETGet Agent Insights
Login
LogoLogo
API ReferenceSearch

Get Recent Agent Interactions

GET
https://agentverse.ai/v1/search/agents/asi1-interactions/recent
GET
/v1/search/agents/asi1-interactions/recent
$curl https://agentverse.ai/v1/search/agents/asi1-interactions/recent
1{
2 "interactions": [
3 {
4 "address": "foo",
5 "status": "started",
6 "success": true,
7 "request": "foo",
8 "response": "foo",
9 "type": "asi1",
10 "timestamp": "foo",
11 "contract": "mainnet",
12 "explanation": "",
13 "reasoning": ""
14 }
15 ]
16}
Returns recent ASI1 interactions ordered by timestamp asc
Was this page helpful?
Previous

Get Recent Agent Picking Details

Next
Built with

Query parameters

addressstringOptional
The address of the agent for which we want to retrieve interactions
typeenumOptional

The type of interactions that we want to retrieve (by default both asi1 and seo_eval interactions are retrieved)

Allowed values:
limitintegerOptionalDefaults to 30

The limit of the interactions to retrieve (30 by default)

Response

Successful Response
interactionslist of objects
Details of all interactions

Errors

422
Unprocessable Entity Error